/// <reference types="vite/client" />

declare module '*.vue' {
  import type { DefineComponent } from 'vue'
  const component: DefineComponent<{}, {}, any>
  export default component
}

declare module 'vite-plugin-mock' {
  import type { Plugin } from 'vite'
  interface ViteMockOptions {
    mockDir?: string
    localEnabled?: boolean
    prodEnabled?: boolean
    injectCode?: string
  }
  export function viteMockServe(options: ViteMockOptions): Plugin
}
